<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php $descripcion_target="El atributo target define d&oacute;nde ser&aacute; abierto el enlace. Tu puedes elegir dos opciones diferentes para estre atributo:<br /><br />
<strong>blank</strong> - el enlace se abrir&aacute; en una nueva ventana<br />
<strong>self</strong> - el enlace se abrir&aacute; en la ventana actual (lo mismo que si no le das valor al atributo)";?>

<div class="post">
		<div class="post_title">
			<h1><?php echo 'Crear enlace'; ?></h1>
		</div>
		<div class="post_body">
			<p><?php echo 'Aqu&iacute; puedes crear un nuevo enlace'; ?></p>
			
			<?php if (validation_errors()): ?>
				<div class="error">
				<?php echo validation_errors(); ?>
				</div>
			<?php endif; ?>
			
				<table width="100%">
				<tr>
					 <td colspan="2">
					 	<fieldset id="main">
					 		<legend><?php echo 'Principal'; ?></legend>
					 		<table>
					 			<tr>
					 				<?php echo form_open('admin/enlaces/crear'); ?>
					 				<td width="200px"><?php echo 'Nombre'; ?></td>
					 				<td><?php echo form_input(array('name' => 'nombre', 'id' => 'nombre', 'size' => '20', 'class' => 'styled', 'value' => set_value('nombre'))); ?></td>
					 			</tr>
					 			<tr>
					 				<td width="200px"><?php echo 'URL'; ?></td>
					 				<td><?php echo form_input(array('name' => 'url', 'id' => 'url', 'size' => '30', 'class' => 'styled', 'value' => set_value('url'))); ?></td>
					 			</tr>
					 			<tr>
					 				<td width="200px"><?php echo 'Descripci&oacute;n'; ?></td>
					 				<td><?php echo form_input(array('name' => 'descripcion', 'id' => 'descripcion', 'size' => '40', 'class' => 'styled', 'value' => set_value('descripcion'))); ?></td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					 <td colspan="2">
					 	<fieldset id="settings">
					 		<legend><?php echo 'Settings'; ?></legend>
					 		<table>
					 			<tr>
					 				<td width="150px" valign="top"><?php echo 'Target'; ?></td>
					 				<td><?php echo form_dropdown('target', array('blank' => 'blank', 'self' => 'self'), set_value('target')); ?> </td>
					 			</tr>
					 			<tr>
					 				<td width="150px" valign="top"><?php echo 'Visible'; ?></td>
					 				<td><?php echo form_dropdown('visible', array('si' => 'Si', 'no' => 'No'), set_value('visible')); ?> </td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="2">
						<input type="submit" name="submit" value="<?php echo 'Crear &rsaquo;&rsaquo;'; ?>" class="styled" />
						<?php echo form_close(); ?>
					</td>
				</tr>
				</table>
		</div>
</div>
