<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<div class="post">
		<div class="post_title">
			<h1><?php echo 'Posts'; ?></h1>
		</div>
		<div class="post_body">
			<p><?php echo 'Aqu&iacute; puedes administrar los posts'; ?></p>
				
				<?php if($this->session->flashdata('message')): ?>
				<div class="message">
					<?php echo $this->session->flashdata('message'); ?>
				</div>
				<?php endif; ?>
				
				<table class="admin">
				<tr>
					<th class="admin"><?php echo 'Fecha posteo'; ?></th>
					<th class="admin"><?php echo 'T&iacute;tulo'; ?></th>
					<th class="admin"><img src="<?php echo base_url(); ?>application/views/admin/static/images/icons/icon_comments.png" title="Comments" border="0"></th>
					<th class="admin"><?php echo 'Estado'; ?></th>
					<th class="admin"><?php echo 'Acciones'; ?></th>
				</tr>
				<?php if ($posts): ?>
					<?php foreach ($posts as $post): ?>
					<tr>
						<td class="admin"><?php echo $post['fecha_posteo']; ?></td>
						<td class="admin"><?php echo anchor(post_url($post['url_titulo'], $post['fecha_posteo']), $post['titulo'], array('target' => '_blank')); ?></td>
						<td class="admin"><?php echo $post['cuenta_comentarios']; ?></td>
						<td class="admin"><?php echo $post['estado']; ?></td>
						<td class="admin"><?php echo anchor('admin/posts/editar/' . $post['id'], '<img src="' . base_url() . 'application/views/admin/static/images/icons/edit.png" title="' . "Editar". '" border="0">'); ?> <?php echo anchor('admin/posts/eliminar/' . $post['id'], '<img src="' . base_url() . 'application/views/admin/static/images/icons/delete.png" title="' . "Eliminar" . '" border="0">', array ('onClick' => "return confirm('" . "&#191Est&aacute;s seguro de que quieres eliminar este post&#63" . "')")); ?></td>
					</tr>
					<?php endforeach; ?>
				<?php else: ?>
					<tr>
					<td colspan="6"><?php echo 'No hay posts'; ?></td>
					</tr>
				<?php endif; ?>
				</table>
				<br />
				<?php echo anchor('admin/posts/crear', 'Nuevo post'); ?>
		</div>
</div>
