<div class="post">
	<div class="post_title"><h2><?php echo $post['titulo']; ?></h2></div>
	<div class="post_date"><?php echo strftime('%B %d, %Y', strtotime($post['fecha_posteo'])); ?> <?php echo "por"; ?> <?php echo $post['display_name']; ?></div>
	<div class="post_body">
		<?php echo $post['excerpt']; ?>

		<?php if ($post['contenido']): ?>
			<p><?php echo $post['contenido']; ?></p>
		<?php endif; ?>
	</div>
</div>

<p class="right"><a href="#respond"><?php echo "Deja un comentario"; ?> &#187;</a></p>
<div class="clearer">&nbsp;</div>										

<?php if ($post['cuenta_comentarios'] > 0): ?>
	<h3 class="left" id="comments"><?php echo "Respuestas (".$post['cuenta_comentarios'].") a" ?> "<?php echo $post['titulo']; ?>"</h3>
	<div class="clearer">&nbsp;</div>
		
	<div class="comment_list">
		<?php $i = 0; ?>
		<?php foreach ($comentarios as $comentario): ?>
			<?php if ($i % 2 == 0): ?>
				<div class="comment alt" id="comment-<?php echo $comentario['id']; ?>">
			<?php else: ?>
				<div class="comment" id="comment-<?php echo $comentario['id']; ?>">
			<?php endif; ?>
			
				<div class="comment_gravatar left"><img alt="" src="<?php echo base_url(); ?>application/views/templates/emplode/static/images/default_avatar.jpg" height="32" width="32" /></div>
	
				<div class="comment_author left">
					<?php echo $comentario['autor']; ?>
					<div class="comment_date"><a href="#comment-<?php echo $comentario['id']; ?>"><?php echo strftime('%B %d, %Y ' . 'a la' . ' %H:%M:%S', strtotime($comentario['fecha'])); ?></a></div>
				</div>
				
				<div class="clearer">&nbsp;</div>
				
				<div class="comment_body">		
					<p><?php echo $comentario['contenido']; ?></p>
				</div>
			</div>	
			<?php $i++; ?>		
		<?php endforeach; ?>			
	</div>
<?php endif; ?>

<a name="respond"></a>
<?php if ($post['permitir_comentarios'] == 1): ?>
	<fieldset>
		<div class="legend"><h3><?php echo "Deja un comentario"; ?></h3></div>
		
		<?php if (validation_errors()): ?>
			<br /><div class="error">
				<?php echo validation_errors(); ?>
			</div>
		<?php endif; ?>	

		<form action="<?php echo post_url($post['url_titulo'], $post['fecha_posteo']); ?>" method="post">	
			<?php if ($this->session->userdata('logged_in') == false): ?>
				<div class="form_row">
					<div class="form_property form_required"><?php echo "Username"; ?></div>
					<div class="form_value"><input name="nickname" id="nickname" type="text" value="<?php echo set_value('nickname'); ?>" size="22" /></div>
		
					<div class="clearer">&nbsp;</div>
				</div>
				<div class="form_row">
					<div class="form_property form_required"><?php echo "Email"; ?></div>
					<div class="form_value"><input name="email" id="email" type="text" value="<?php echo set_value('email'); ?>" size="22" /></div>
		
					<div class="clearer">&nbsp;</div>
				</div>
				<div class="form_row">
					<div class="form_property"><?php echo "Website"; ?></div>
					<div class="form_value"><input name="website" id="website" type="text" value="<?php echo set_value('website'); ?>" size="22" /></div>
		
					<div class="clearer">&nbsp;</div>
				</div>

			<?php else: ?>
			<div class="form_row">
					<div class="form_property form_required"><?php echo "Nick"; ?></div>
					<div class="form_value"><input name="nickname" id="nickname" type="text" value="<?php echo $this->session->userdata('username'); ?>" size="22" disabled /></div>
		
					<div class="clearer">&nbsp;</div>
			</div>
			<?php endif; ?>
			<div class="form_row">
				<div class="form_property form_required"><?php echo "Comentario"; ?></div>
				<div class="form_value"><textarea rows="10" cols="46" name="comentario" id="comentario"><?php echo set_value('comentario'); ?></textarea></div>
	
				<div class="clearer">&nbsp;</div>
			</div>
			
			<div class="form_row form_row_submit">
				<div class="form_value"><input type="submit" name="submit" value="<?php echo 'Submit'; ?>" class="button" /></div>
				
				<div class="clearer">&nbsp;</div>
			</div>
		</form>
	</fieldset>
<?php else: ?>
	<h3><?php echo "Deja un comentario"; ?></h3>
	<p><?php echo "Los comentarios est&aacute;n desactivados para este post"; ?></p>
<?php endif; ?>
