<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

if ($_POST['submit'] != "")
{
	// detalles base de datos
	$database['hostname'] = $_POST['database_hostname'];
	$database['username'] = $_POST['database_username'];
	$database['password'] = $_POST['database_password'];
	$database['name'] = $_POST['database_name'];
	
	// url
	$openconference['url'] = $_POST['openconference_url'];
		
	// SEO URL's
	$openconference['enable_seo_urls'] = $_POST['enable_seo_urls'];

	// detalles web
	$openconference['titulo'] = $_POST['titulo_pagina'];
	$openconference['descripcion'] = $_POST['descripcion_pagina'];
	$openconference['admin_email'] = $_POST['email_admin'];
	$openconference['permitir_registros'] = $_POST['permitir_registros'];
	$openconference['posts_por_pagina'] = $_POST['posts_por_pagina'];
	$openconference['links_por_caja'] = $_POST['links_por_caja'];
	
	// detalles administrador
	$administrador['username'] = $_POST['admin_username'];
	$administrador['display_name'] = $_POST['admin_display_name'];
	$administrador['password'] = $_POST['admin_password'];
	$administrador['email'] = $_POST['admin_email'];
	
	if (empty($openconference['enable_seo_urls']))
	{
		$openconference['enable_seo_urls'] = 0;
	}

	if (empty($openconference['permitir_registros']))
	{
		$openconference['permitir_registros'] = 0;
	}
	
	if (empty($openconference['posts_por_pagina']))
	{
		$openconference['posts_por_pagina'] = 5;
	}
	
	if (empty($openconference['links_por_caja']))
	{
		$openconference['links_por_caja'] = 5;
	}

	if (substr($openconference['url'], -1, 1) != '/')
	{
		$openconference['url'] .= '/';
	}
	
	if (empty($database['hostname']) || empty($database['username']) || empty($database['password']) || empty($database['name']) || empty($openconference['url']) || empty($openconference['titulo']) || empty($openconference['descripcion']) || empty($openconference['admin_email']) || empty($openconference['posts_por_pagina']) || empty($openconference['links_por_caja']) ||  empty($administrador['username']) || empty($administrador['password']) || empty($administrador['email']))
	{
		echo "¡Todos los campos son requeridos!<br /><br /><a href=\"javascript:history.go(-1)\">&lsaquo;&lsaquo; Atr&aacute;s</a>";
	}
	else
	{
		$database_error = test_database_connection($database['hostname'], $database['username'], $database['password'], $database['name']);
		
		if ($database_error)
		{
			echo "¡No se puede conectar al servidor o seleccionar la base de datos!<br /><br /><a href=\"javascript:history.go(-1)\">&lsaquo;&lsaquo; Atr&aacute;s</a>";
		}
		else
		{
			mysql_connect($database['hostname'], $database['username'], $database['password']) or die(mysql_error());
			mysql_select_db($database['name']) or die(mysql_error());
			
			// crear tablas
			create_tables(/*$database['prefix']*/);
			insert_page_data($openconference['titulo'], $openconference['descripcion'], $openconference['admin_email'], $openconference['permitir_registros'], $openconference['posts_por_pagina'], $openconference['links_por_caja']);
			
			if (empty($administrator['display_name']))
				insert_admin_data($administrador['username'], $administrador['password'], $administrador['email']);
			else
				insert_admin_data($administrador['username'], $administrador['password'], $administrador['email'], $administrator['display_name']);
		
			mysql_close();
			
			// escribir archivo de configuracion
			if ($openconference['enable_seo_urls'] == TRUE)
			{
				write_main_config($openconference['url'], TRUE);
			}
			else
			{
				write_main_config($openconference['url'], FALSE);
				
				// eliminar archivo .htaccess
				unlink('../.htaccess');
			}
			
			// escribir archivo de configuracion de base de datos
			write_database_config($database['hostname'], $database['username'], $database['password'], $database['name'], $database['prefix']);
			
			// enviar email de bienvenida
			send_welcome_email($administrador['email'], $openconference['url'], $administrador['username'], $administrador['password']);
			
			echo 'OpenConference se ha instalado con &eacute;xito.<br /><br />
			Antes de empezar a usar la aplicaci&oacute;n, debes eliminar el directorio <strong>install/</strong>.<br /><br />
			Cuando lo hayas hecho, ve a tu <a href="' . $openconference['url'] . '" target="_blank">p&aacute;gina principal</a>.';
		}
	}
}
else 
{
	header("Location: index.php");
}

?>
