<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Paginas_Model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
		
		$this->_table = $this->config->item('database_tables');
	}
	
	// Métodos públicos
	public function conseguir_url_pagina($url_titulo)
	{
		$this->db->select('id, titulo, contenido, estado');
		$this->db->where('url_titulo', $url_titulo);
		$this->db->where('estado', 'activo');
			
		$query = $this->db->get($this->_table['paginas'], 1);
		
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
	}
}
?>
