<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php echo initialize_tinymce(); ?>
<div class="post">
		<div class="post_title">
			<h1><?php echo 'Revisar Paper'; ?></h1>
		</div>
		<div class="post_body">
			<p><?php echo 'Aqu&iacute; puedes revisar un Paper'; ?></p>
			
			<?php if (validation_errors()): ?>
				<div class="error">
				<?php echo validation_errors(); ?>
				</div>
			<?php endif; ?>
			
				<table width="100%">
				<tr>
					 <td colspan="2">
					 	<fieldset id="main">
					 		<legend><?php echo 'Datos del Art&iacute;culo'; ?></legend>
					 		<table>
					 			<tr>
					 				<?php echo form_open('admin/cfp/revisar'); ?>
					 				<td width="150px"><?php echo '<strong>T&iacute;tulo</strong>'; ?></td>
					 				<td><?php echo $cfp['nombre']; ?></td>
					 			</tr>
					 			<tr>
					 				<td width="150px" valign="top"><?php echo '<strong>Tema</strong>'; ?></td>
					 				<td><?php echo $cfp['tema']; ?></td>
					 			</tr>
					 			<tr>
					 				<td width="150px" valign="top"><?php echo '<strong>Descripci&oacute;n</strong>'; ?></td>
					 				<td><?php echo $cfp['descripcion']; ?></td>
					 			</tr>
								<tr>
					 				<td width="150px" valign="top"><?php echo '<strong>Documento</strong>'; ?></td>
					 				<td><?php echo "<a href=".base_url().index_page()."admin/cfp/descargar/".$cfp['id'].">Descargar</a>"; ?></td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					 <td colspan="2">
					 	<fieldset id="settings">
					 		<legend><?php echo 'Evaluaci&oacute;n'; ?></legend>
					 		<table>
					 			<tr>
					 				<td width="150px" valign="top"><?php echo '<strong>Fecha de env&iacute;o</strong>'; ?></td>
					 				<td><?php echo date('d/m/Y', strtotime($cfp['fecha_envio'])); ?></td>
					 			</tr>
					 			<!--<tr>
					 				<td width="150px" valign="top"><?php echo 'Estado'; ?></td>
					 				<td><?php echo form_dropdown('estado', array('recibido' => 'Recibido', 'revision' => 'En revisi&oacute;n', 'revisado' => 'Revisado'), set_value('estado', isset($cfp['estado']) ? $cfp['estado'] : '')); ?></td>
					 			</tr>-->
					 			<tr>
					 				<td width="150px" valign="top"><?php echo '<strong>Valoraci&oacute;n</strong>'; ?></td>
					 				<td><?php echo form_dropdown('valoracion', array('-' => 'No Evaluado', '1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5'), set_value('valoracion')); ?> </td>
					 			</tr>
					 			<tr>
					 				<td width="150px" valign="top"><?php echo '<strong>Resumen</strong>'; ?></td>
					 				<td><?php echo form_textarea(array('name' => 'resumen', 'id' => 'resumen', 'rows' => '20', 'cols' => '80', 'value' => set_value('resumen'))); ?> </td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="2">
						<?php echo form_hidden('id', $cfp['id']); ?>
						<input type="submit" name="submit" value="<?php echo 'Evaluar &rsaquo;&rsaquo;'; ?>" class="styled" />
						<?php echo form_close(); ?>
					</td>
				</tr>
				</table>
		</div>
</div>
