<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<div class="post">
		<div class="post_title">
			<h1><?php echo 'Settings'; ?></h1>
		</div>
		<div class="post_body">
			<p><?php echo 'Aqu&iacute; puedes administrar la configuraci&oacute;n de la aplicaci&oacute;n'; ?></p>
				
				<?php if (validation_errors()): ?>
					<div class="error">
						<?php echo validation_errors(); ?>
					</div>
				<?php endif; ?>
				
				<?php if($this->session->flashdata('message')): ?>
				<div class="message">
					<?php echo $this->session->flashdata('message'); ?>
				</div>
				<?php endif; ?>
				<table width="100%">
				<tr>
					 <td colspan="2">
					 	<fieldset id="general_settings">
					 		<legend><?php echo 'Configuraci&oacute;n general'; ?></legend>
					 		<table>
					 			<tr>
					 				<?php echo form_open('admin/settings'); ?>
					 				<td width="200px"><?php echo 'T&iacute;tulo Web'; ?></td>
					 				<td><?php echo form_input(array('name' => 'titulo_pagina', 'id' => 'titulo_pagina', 'size' => '50', 'class' => 'styled', 'value' => set_value('titulo_pagina', isset($settings['titulo_pagina']) ? $settings['titulo_pagina'] : ''))); ?></td>
					 			</tr>
					 			<tr>
					 				<td width="200px"><?php echo 'Descripci&oacute;n Web'; ?></td>
					 				<td><?php echo form_input(array('name' => 'descripcion_pagina', 'id' => 'descripcion_pagina', 'size' => '50', 'class' => 'styled', 'value' => set_value('descripcion_pagina', isset($settings['descripcion_pagina']) ? $settings['descripcion_pagina'] : ''))); ?></td>
					 			</tr>
					 			<tr>
					 				<td width="200px"><?php echo 'Email Administrador'; ?></td>
					 				<td><?php echo form_input(array('name' => 'admin_email', 'id' => 'admin_email', 'size' => '50', 'class' => 'styled', 'value' => set_value('admin_email', isset($settings['admin_email']) ? $settings['admin_email'] : ''))); ?> </td>
					 			</tr>
					 			<tr>
					 				<td width="200px"><?php echo 'Permitir registros'; ?></td>
					 				<td><?php echo form_checkbox('permitir_registros', 1, set_value('permitir_registros', isset($settings['permitir_registros']) ? $settings['permitir_registros'] : '')); ?> </td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					 <td colspan="2">
					 	<fieldset id="site_status">
					 		<legend><?php echo 'Estado del sitio'; ?></legend>
					 		<table>
					 		<tr>
					 				<td width="200px"><?php echo 'Activo'; ?></td>
					 				<td><?php echo form_checkbox('enabled', 1, set_value('enabled', isset($settings['enabled']) ? $settings['enabled'] : '')); ?></td>
					 			</tr>
					 			<tr class="offline_reason">
					 				<td width="200px"><?php echo 'Raz&oacute;n de Inactividad'; ?></td>
					 				<td><?php echo form_input(array('name' => 'offline_reason', 'id' => 'offline_reason', 'size' => '50', 'class' => 'styled', 'value' => set_value('offline_reason', isset($settings['offline_reason']) ? $settings['offline_reason'] : ''))); ?> </td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					 <td colspan="2">
					 	<fieldset id="display_settings">
					 		<legend><?php echo 'Configuraci&oacute;n Dise&ntilde;o'; ?></legend>
					 		<table>
					 			<tr>
					 				<td width="200px"><?php echo 'Template'; ?></td>
					 				<td><?php echo form_dropdown('template', $templates, set_value('template', isset($settings['template']) ? $settings['template'] : '')); ?></td>
					 			</tr>
					 			<tr>
					 				<td width="200px"><?php echo 'Posts por p&aacute;gina'; ?></td>
					 				<td><?php echo form_input(array('name' => 'posts_por_pagina', 'id' => 'posts_por_pagina', 'size' => '1', 'class' => 'styled', 'value' => set_value('posts_por_pagina', isset($settings['posts_por_pagina']) ? $settings['posts_por_pagina'] : ''))); ?> (<?php echo 'por defecto'; ?> = 5) </td>
					 			</tr>
					 			<tr>
					 				<td width="200px"><?php echo 'Enlaces'; ?></td>
					 				<td><?php echo form_input(array('name' => 'enlaces', 'id' => 'enlaces', 'size' => '1', 'class' => 'styled', 'value' => set_value('enlaces', isset($settings['enlaces']) ? $settings['enlaces'] : ''))); ?> (<?php echo 'por defecto'; ?> = 5) </td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="2">
						<input type="submit" name="submit" value="<?php echo 'Guardar &rsaquo;&rsaquo;'; ?>" class="styled" />
						<?php echo form_close(); ?>
					</td>
				</tr>
				</table>
		</div>
</div>
