<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<div class="post">
		<div class="post_title">
			<h1><?php echo 'Sidebar'; ?></h1>
		</div>
		<div class="post_body">
			<p><?php echo 'Aqu&iacute; puedes administrar tu sidebar'; ?></p>
				
				<?php if($this->session->flashdata('message')): ?>
				<div class="message">
					<?php echo $this->session->flashdata('message'); ?>
				</div>
				<?php endif; ?>
				
				<table class="admin">
				<tr>
					<th class="admin"><?php echo 'T&iacute;tulo'; ?></th>
					<th class="admin"><?php echo 'Descripci&oacute;n'; ?></th>
					<th class="admin"><?php echo 'Estado'; ?></th>
					<th class="admin" width="45px"><?php echo 'Acciones'; ?></th>
				</tr>
				<?php if ($sidebar): ?>
					<?php foreach ($sidebar as $item): ?>
					<tr id="item_<?php echo $item['id']; ?>">
						<td class="admin"><?php echo strtolower($item['titulo']); ?></td>
						<td class="admin"><?php echo strtolower($item['titulo']) . '_descripcion'; ?></td>
						<td class="admin"><?php echo $item['estado']; ?></td>
						<td class="admin">
							<?php if ($item['estado'] == 'enabled'): ?>
								<?php echo anchor('admin/sidebar/inactivo/' . $item['id'], '<img src="' . base_url() . 'application/views/admin/static/images/icons/enable.png" title="' . 'Desactivado' . '" border="0">'); ?>
							<?php else: ?>
								<?php echo anchor('admin/sidebar/activo/' . $item['id'], '<img src="' . base_url() . 'application/views/admin/static/images/icons/disable.png" title="' . 'Activado' . '" border="0">'); ?>
							<?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				<?php else: ?>
					<tr>
					<td colspan="4"><?php echo 'No hay Items'; ?></td>
					</tr>
				<?php endif; ?>
				</table>
		</div>
</div>
