<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<div class="post">
		<div class="post_title">
			<h1><?php echo 'Editar usuario'; ?></h1>
		</div>
		<div class="post_body">
			<p><?php echo 'Aqu&iacute; puedes editar un usuario'; ?></p>
			
			<?php if($this->session->flashdata('message')): ?>
				<div class="message">
					<?php echo $this->session->flashdata('message'); ?>
				</div>
			<?php endif; ?>
				
			<?php if (validation_errors()): ?>
				<div class="error">
				<?php echo validation_errors(); ?>
				</div>
			<?php endif; ?>

				<table width="100%">
				<tr>
					 <td colspan="2">
					 	<fieldset id="name">
					 		<legend><?php echo 'Nombre'; ?></legend>
					 		<table>
					 			<tr>
					 				<?php echo form_open('admin/users/editar'); ?>
					 				<td width="200px"><?php echo 'Username'; ?></td>
					 				<td><?php echo form_input(array('name' => 'username', 'id' => 'username', 'size' => '15', 'class' => 'styled', 'value' => set_value('username', isset($usuario['username']) ? $usuario['username'] : '')), null, 'disabled'); ?> (<?php echo 'El username no puede ser cambiado'; ?>)</td>
					 			</tr>
					 			<tr>
					 				<td width="200px"><?php echo 'Display name'; ?></td>
					 				<td><?php echo form_input(array('name' => 'display_name', 'id' => 'display_name', 'size' => '15', 'class' => 'styled', 'value' => set_value('display_name', isset($usuario['display_name']) ? $usuario['display_name'] : ''))); ?></td>
					 			</tr>
								<tr>
					 				<td width="200px"><?php echo 'Nombre'; ?></td>
					 				<td><?php echo form_input(array('name' => 'nombre', 'id' => 'nombre', 'size' => '15', 'class' => 'styled', 'value' => set_value('nombre', isset($usuario['nombre']) ? $usuario['nombre'] : ''))); ?></td>
					 			</tr>
								<tr>
					 				<td width="200px"><?php echo 'Apellidos'; ?></td>
					 				<td><?php echo form_input(array('name' => 'apellidos', 'id' => 'apellidos', 'size' => '15', 'class' => 'styled', 'value' => set_value('apellidos', isset($usuario['apellidos']) ? $usuario['apellidos'] : ''))); ?></td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
								<tr>
					 <td colspan="2">
					 	<fieldset id="level">
					 		<legend><?php echo 'Nivel'; ?></legend>
					 		<table>
					 			<tr>
					 				<td width="200px"><?php echo 'Nivel'; ?></td>
					 				<td><?php echo form_dropdown('nivel', array('usuario' => 'Usuario', 'administrador' => 'Administrador', 'revisor' => 'Revisor'), set_value('nivel', isset($usuario['nivel']) ? $usuario['nivel'] : '')); ?></td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					 <td colspan="2">
					 	<fieldset id="contact">
					 		<legend><?php echo 'Informaci&oacute;n de contacto'; ?></legend>
					 		<table>
					 			<tr>
					 				<td width="200px"><?php echo 'E-mail'; ?></td>
					 				<td><?php echo form_input(array('name' => 'email', 'id' => 'email', 'size' => '25', 'class' => 'styled', 'value' => set_value('email', isset($usuario['email']) ? $usuario['email'] : ''))); ?></td>
					 			</tr>
					 			<tr>
					 				<td width="200px"><?php echo 'Sitio Web'; ?></td>
					 				<td><?php echo form_input(array('name' => 'website', 'id' => 'website', 'size' => '25', 'class' => 'styled', 'value' => set_value('website', isset($usuario['website']) ? $usuario['website'] : ''))); ?></td>
					 			</tr>
					 		</table>
					 	</fieldset>
					 </td>
				</tr>
				<tr>
					 <td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="2">
						<?php echo form_hidden('id', $usuario['id']) ?>
						<input type="submit" name="submit" value="<?php echo 'Editar &rsaquo;&rsaquo;'; ?>" class="styled" />
						<?php echo form_close(); ?>
					</td>
				</tr>
				</table>
		</div>
</div>
