<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

$writable['config_folder'] = is_writable('../application/config/');
$writable['config'] = is_writable('../application/config/config.php');
$writable['database'] = is_writable('../application/config/database.php');

?>
<table class="install">
<tr>
    <td>
    	<h2>Informaci&oacute;n OpenConference</h2>
    	<table>
	    	<tr>
	        	<td width="250px">Version:</td>
	        	<td><?php echo $config['version']; ?></td>
	       	</tr>
		<tr>
		        <td width="250px">Website:</td>
	        	<td><a href="<?php echo $config['website_url']; ?>" target="_blank"><?php echo $config['website_url']; ?></a></td>
	        </tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<h2>Informaci&oacute;n Servidor</h2>
    	<table>
	    <tr>
	        <td width="250px">PHP Version:</td>
	        <td><?php echo phpversion(); ?></td>
		</tr>
        </table>
	</td>
</tr>
<tr>
	<td>
   		<h2>Permisos de escritura</h2>
    	<table>
	    	<tr>
	        	<td width="250px">config/</td>
	        	<?php if ($writable['config_folder'] == true): ?>
	        		<td><img src="includes/images/yes.gif" alt="Si" /></td>
	        	<?php else: ?>
	        		<?php $error = 1; ?>
	        		<td><img src="includes/images/no.gif" alt="No" /></td>
	        	<?php endif; ?>
	        </tr>
        </table>
	</td>
</tr>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
<tr>
	<td style="text-align: left">
		<input type="button" name="submit" value="&lsaquo;&lsaquo; Cancelar" class="styled" onClick="window.location = 'install.php'" />
	</td>
	<td style="text-align: right">
		<?php if ($error == 1): ?>
			<input type="button" name="submit" value="Actualizar" class="styled" onClick="window.location.reload()" />
		<?php else: ?>
			<input type="button" name="submit" value="Paso 2 &rsaquo;&rsaquo;" class="styled" onClick="window.location = 'install.php?step=2'" />
		<?php endif; ?>
	</td>
</tr>
</table>
